function onUse(player, item, fromPosition, target, toPosition, isHotkey)
	if (player:getStorageValue(33337) == 1) then
		player:sendTextMessage(MESSAGE_EVENT_ADVANCE, "The chest is empty.")
		return true
	end

	player:addItem(2504, 1)
	player:sendTextMessage(MESSAGE_EVENT_ADVANCE, "You found a dwarven legs.")
	player:setStorageValue(33337, 1)
	return true
end